Skip to main content
Update Wallet

Authorizations

Authorization
string
header
required

Authorization header containing an SDP JWT (ES256) or an SDP_ API key.

Path Parameters

id
string
required

ID of the wallet to update

Body

application/json

Wallet to be updated

name
string

Human-readable name of the wallet provider

homepage
string

Homepage URL of the wallet provider

Deep link schema for the wallet application

sep_10_client_domain
string

SEP-10 client domain for authentication

enabled
boolean

Whether the wallet is enabled for use

assets
object[]

Array of asset references supported by this wallet

Asset reference by ID

Response

Wallet updated successfully

id
string
Example:

"5ada9ed5-455a-4782-a0ee-160767e0deb1"

name
string
Example:

"Vibrant Assist"

homepage
string
Example:

"https://vibrantapp.com"

sep_10_client_domain
string
Example:

"api-dev.vibrantapp.com"

Example:

"https://vibrantapp.com/sdp-dev"

created_at
string<date-time>
Example:

"2023-07-31T20:50:45.648Z"

updated_at
string<date-time>
Example:

"2023-07-31T20:50:45.648Z"